Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# osg::FBOExtensions Class Reference

List of all members.

## Public Types
typedef void APIENTRY | TglBindRenderbufferEXT (GLenum, GLuint)
typedef void APIENTRY | TglDeleteRenderbuffersEXT (GLsizei n, const GLuint *renderbuffers)
typedef void APIENTRY | TglGenRenderbuffersEXT (GLsizei, GLuint *)
typedef void APIENTRY | TglRenderbufferStorageEXT (GLenum, GLenum, GLsizei, GLsizei)
typedef void APIENTRY | TglBindFramebufferEXT (GLenum, GLuint)
typedef void APIENTRY | TglDeleteFramebuffersEXT (GLsizei n, const GLuint *framebuffers)
typedef void APIENTRY | TglGenFramebuffersEXT (GLsizei, GLuint *)
typedef GLenum APIENTRY | TglCheckFramebufferStatusEXT (GLenum)
typedef void APIENTRY | TglFramebufferTexture1DEXT (GLenum, GLenum, GLenum, GLuint, GLint)
typedef void APIENTRY | TglFramebufferTexture2DEXT (GLenum, GLenum, GLenum, GLuint, GLint)
typedef void APIENTRY | TglFramebufferTexture3DEXT (GLenum, GLenum, GLenum, GLuint, GLint, GLint)
typedef void APIENTRY | TglFramebufferRenderbufferEXT (GLenum, GLenum, GLenum, GLuint)
typedef void APIENTRY | TglGenerateMipmapEXT (GLenum)
## Public Member Functions
bool | isSupported () const
## Static Public Member Functions
FBOExtensions * | instance (unsigned contextID)
## Public Attributes
TglBindRenderbufferEXT * | glBindRenderbufferEXT
TglGenRenderbuffersEXT * | glGenRenderbuffersEXT
TglDeleteRenderbuffersEXT * | glDeleteRenderbuffersEXT
TglRenderbufferStorageEXT * | glRenderbufferStorageEXT
TglBindFramebufferEXT * | glBindFramebufferEXT
TglDeleteFramebuffersEXT * | glDeleteFramebuffersEXT
TglGenFramebuffersEXT * | glGenFramebuffersEXT
TglCheckFramebufferStatusEXT * | glCheckFramebufferStatusEXT
TglFramebufferTexture1DEXT * | glFramebufferTexture1DEXT
TglFramebufferTexture2DEXT * | glFramebufferTexture2DEXT
TglFramebufferTexture3DEXT * | glFramebufferTexture3DEXT
TglFramebufferRenderbufferEXT * | glFramebufferRenderbufferEXT
TglGenerateMipmapEXT * | glGenerateMipmapEXT
## Protected Member Functions
| FBOExtensions (unsigned int contextID)

## Member Typedef Documentation

typedef void APIENTRY osg::FBOExtensions::TglBindFramebufferEXT(GLenum, GLuint)

typedef void APIENTRY osg::FBOExtensions::TglBindRenderbufferEXT(GLenum, GLuint)

typedef GLenum APIENTRY osg::FBOExtensions::TglCheckFramebufferStatusEXT(GLenum)

typedef void APIENTRY osg::FBOExtensions::TglDeleteFramebuffersEXT(GLsizei n, const GLuint *framebuffers)

typedef void APIENTRY osg::FBOExtensions::TglDeleteRenderbuffersEXT(GLsizei n, const GLuint *renderbuffers)

typedef void APIENTRY osg::FBOExtensions::TglFramebufferRenderbufferEXT(GLenum, GLenum, GLenum, GLuint)

typedef void APIENTRY osg::FBOExtensions::TglFramebufferTexture1DEXT(GLenum, GLenum, GLenum, GLuint, GLint)

typedef void APIENTRY osg::FBOExtensions::TglFramebufferTexture2DEXT(GLenum, GLenum, GLenum, GLuint, GLint)

typedef void APIENTRY osg::FBOExtensions::TglFramebufferTexture3DEXT(GLenum, GLenum, GLenum, GLuint, GLint, GLint)

typedef void APIENTRY osg::FBOExtensions::TglGenerateMipmapEXT(GLenum)

typedef void APIENTRY osg::FBOExtensions::TglGenFramebuffersEXT(GLsizei, GLuint *)

typedef void APIENTRY osg::FBOExtensions::TglGenRenderbuffersEXT(GLsizei, GLuint *)

typedef void APIENTRY osg::FBOExtensions::TglRenderbufferStorageEXT(GLenum, GLenum, GLsizei, GLsizei)

## Constructor & Destructor Documentation

osg::FBOExtensions::FBOExtensions | ( | unsigned int | contextID | ) | `[protected]`

## Member Function Documentation

FBOExtensions* osg::FBOExtensions::instance | ( | unsigned | contextID | ) | `[inline, static]`

bool osg::FBOExtensions::isSupported | ( |  | ) | const`[inline]`

## Member Data Documentation

TglBindFramebufferEXT* osg::FBOExtensions::glBindFramebufferEXT

TglBindRenderbufferEXT* osg::FBOExtensions::glBindRenderbufferEXT

TglCheckFramebufferStatusEXT* osg::FBOExtensions::glCheckFramebufferStatusEXT

TglDeleteFramebuffersEXT* osg::FBOExtensions::glDeleteFramebuffersEXT

TglDeleteRenderbuffersEXT* osg::FBOExtensions::glDeleteRenderbuffersEXT

TglFramebufferRenderbufferEXT* osg::FBOExtensions::glFramebufferRenderbufferEXT

TglFramebufferTexture1DEXT* osg::FBOExtensions::glFramebufferTexture1DEXT

TglFramebufferTexture2DEXT* osg::FBOExtensions::glFramebufferTexture2DEXT

TglFramebufferTexture3DEXT* osg::FBOExtensions::glFramebufferTexture3DEXT

TglGenerateMipmapEXT* osg::FBOExtensions::glGenerateMipmapEXT

TglGenFramebuffersEXT* osg::FBOExtensions::glGenFramebuffersEXT

TglGenRenderbuffersEXT* osg::FBOExtensions::glGenRenderbuffersEXT

TglRenderbufferStorageEXT* osg::FBOExtensions::glRenderbufferStorageEXT

The documentation for this class was generated from the following file:

- FrameBufferObject